Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class DesktopPath

    java.lang.Object
      com.bea.netuix.application.identifier.Path
          com.bea.netuix.application.identifier.DesktopPath

All Implemented Interfaces:
  Serializable

public class DesktopPath
extends Path

The `DesktopPath` is a representation of the part of the url that identifies the desktop for a customized portal.

See Also:
  `DesktopDefinitionId`, Serialized Form

Constructor Summary
`DesktopPath(String path)`

Method Summary
`protected Object` | `clone()`
`static DesktopPath` | `clone(DesktopPath desktopPath)`
`static DesktopPath` | `createDesktopPath(String path)`
`String` | `toString()`

Methods inherited from class com.bea.netuix.application.identifier.Path
`equals, getPath, hashCode, setPath`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopPath

    public DesktopPath(String path)

Parameters:
  `path` - the part of the url that identifies the desktop for a customized portal.

Method Detail

### createDesktopPath

    public static DesktopPath createDesktopPath(String path)

  Parameters:
    `path` - the part of the url that identifies the desktop for a customized portal.
  Returns:
    a new `DesktopPath` with the path set to the value passed in.

### clone

    public static DesktopPath clone(DesktopPath desktopPath)

  Parameters:
    `desktopPath` - the `DesktopPath` to clone.
  Returns:
    a new `DesktopPath` with the exact same path set as the `DesktopPath` passed in.

### clone

    protected Object clone()

  Returns:
    a new `DesktopPath` with the exact same path set as this `DesktopPath`.

### toString

    public String toString()

  Returns:
    the part of the url that identifies the desktop for a customized portal.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved